PETSc version 3.15.5
Fix/Edit manual page

# MatDenseRestoreColumnVecRead

Returns access to a column of a dense matrix obtained from MatDenseGetColumnVecRead().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseRestoreColumnVecRead(Mat A,PetscInt col,Vec *v)

Collective

### Input Parameters

| mat | - the Mat object
| col | - the column index
| v | - the Vec object

### See Also

MATDENSE, MATDENSECUDA, MatDenseGetColumnVec(), MatDenseGetColumnVecRead(), MatDenseGetColumnVecWrite(), MatDenseRestoreColumnVec(), MatDenseRestoreColumnVecWrite()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c

### Implementations

MatDenseRestoreColumnVecRead_MPIDenseCUDA in src/mat/impls/dense/mpi/mpidense.c
MatDenseRestoreColumnVecRead_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatDenseRestoreColumnVecRead_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
MatDenseRestoreColumnVecRead_SeqDense in src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages